import { Layout } from "antd";
import SideMenu from "../SideMenu";
import PageContent from "../PageContent";
import { useState } from "react";

export default function DashboardLayout({ userSession, setUserSession }) {
  const [isSideMenuCollapsed, setIsSideMenuCollapsed] = useState(false);

  return (
    <Layout style={{ minHeight: "100vh" }}>
      <Layout>
        <SideMenu
          userSession={userSession}
          setUserSession={setUserSession}
          isSideMenuCollapsed={isSideMenuCollapsed}
          setIsSideMenuCollapsed={setIsSideMenuCollapsed}
        />

        <PageContent
          isSideMenuCollapsed={isSideMenuCollapsed}
          setIsSideMenuCollapsed={setIsSideMenuCollapsed}
        />
      </Layout>
    </Layout>
  );
}
