import { createContext, useContext, useState } from "react";

const preview = {
  robots: [],
  robotsTotalPages: 0,
  unauthorizedRobots: [],
  unauthorizedRobotsTotalPages: 0,
};

const RoboticsRobot = createContext(preview);

export const useRoboticsRobotContext = () => useContext(RoboticsRobot);

export function RoboticsRobotProvider({ children }) {
  const [robots, setRobots] = useState([]);
  const [robotsTotalPages, setRobotsTotalPages] = useState(0);
  const [unauthorizedRobots, setUnauthorizedRobots] = useState([]);
  const [unauthorizedRobotsTotalPages, setUnauthorizedRobotsTotalPages] =
    useState(0);

  return (
    <RoboticsRobot.Provider
      value={{
        robots,
        setRobots,
        robotsTotalPages,
        setRobotsTotalPages,
        unauthorizedRobots,
        setUnauthorizedRobots,
        unauthorizedRobotsTotalPages,
        setUnauthorizedRobotsTotalPages,
      }}
    >
      {children}
    </RoboticsRobot.Provider>
  );
}
