import { createContext, useContext, useState } from "react";

const preview = {
  roleId: "",
  users: [],
  roles: [],
};

const UsersContext = createContext(preview);

export const useUsersContext = () => useContext(UsersContext);

export function UsersProvider({ children }) {
  const [roleId, setRoleId] = useState("");
  const [users, setUsers] = useState([]);
  const [roles, setRoles] = useState([]);

  console.log("usersProvider", users, roles);

  return (
    <UsersContext.Provider
      value={{
        roleId,
        setRoleId,
        users,
        setUsers,
        roles,
        setRoles,
      }}
    >
      {children}
    </UsersContext.Provider>
  );
}
